-- BR2D - BATTLE ROYALE 2D CONFIG FILE
-- DO NOT UPLOAD THIS AS YOUR OWN FILE.
-- Copyright 2018 Amaguya (U.S.G.N. ID:11768) All rights reserved.

-- #########################################################################
-- GENERAL

-- Set to debug mode. ( 1 = ENABLE // 0 = DISABLE )
DEBUG_MODE = 0

-- Disable "always" hook. "ms100" hook takes over same functions.
-- This improves performance but it removes smooth visuals.
DISABLE_ALWAYS = 0

-- Set to showing damage source. ( 1 = ENABLE // 0 = DISABLE )
SHOW_DAMAGE = 1

-- Remove items that spawned by "Env_Item". ( 1 = REMOVE // 0 = NO ACTION )
REMOVE_MAP_ITEMS = 1

-- Time of waiting for players. (Second)
-- If there are 2 players at least, waiting timer will start.
WAITING_TIME_BASE = 10

-- If count of players is enough, waiting timer will be changed 10 secs automatically.
WAITING_LEAST_PLAYERS = 10


-- #########################################################################
-- BOT

-- Play with BOTs. ( 1 = ON // 0 = OFF )
BOT_ALLOW  = 0

-- Number of BOTs. ( 0 to 31 )
BOT_COUNT  = 20

-- Magnification of damage by BOTs. ( Case:0.5 ==> DMG:150 reduces to 75 )
-- Besides this, damage by BOTs is reduced depends on player's rating.
BOT_DAMAGE = 1.0


-- #########################################################################
-- GAME

-- Time of preparation phase. (Second)
PREPARATION_TIME = 20


-- Time of action phase. (Second)
PLAYZONE_BASE_TIME           = 20 -- DEFAULT: 20

PLAYZONE_ADDITIONAL_TIME     = 10 -- DEFAULT: 10 [ Base(20 Secs) + Additional(10 Secs per 25 range of playzone) ]

PLAYZONE_DAMAGE_BASE         = { 1, 3, 5, 10, 20 }

PLAYZONE_SHRINKING_TIME      = 150 -- DEFAULT: 150 [ 100MS (150 * 100MS = 15 SECS) ]

PLAYZONE_SHRINKING_TIME_LAST = 300 -- DEFAULT: 300 [ 100MS (300 * 100MS = 30 SECS) ]


-- Airdrop 
AIRDROP_ALLOW = 1 -- DEFAULT: 1

AIRDROP_CONTENT_ARMOR  = { 83, 83, 83, 80, 79 } -- [60%] LEVEL3, [20%] LEVEL2 & LEVEL1

AIRDROP_CONTENT_WEAPON = { 22, 33, 35, 36, 39, 40, 91 } -- [EACH 14.3%] P90,AUG,AWP,G3SG1,FAMAS,M249,F2000

AIRDROP_CONTENT_ITEM   = {  { {64,1}, {62,3} }, -- [11.1%] MEDIBAG x1,  PAINKILLER x3
                            { {64,1}, {55,3} }, -- [11.1%] MEDIBAG x1,  BACKPACK x3
						    { {55,3}, {62,3} }, -- [11.1%] BACKPACK x3, PAINKILLER x3
						    { {64,1} },         -- [22.2%] MEDIBAG x1
							{ {64,1} },
							{ {62,3} },         -- [22.2%] PAINKILLER x3
							{ {62,3} },
							{ {55,3} },         -- [22.2%] BACKPACK x3
							{ {55,3} }
						 }
						 
-- #########################################################################
-- ITEMS - Amount of items that spawn

-- Weapon (Firearm, Melee weapon, Grenade, Other weapon)
SPAWN_WEAPON_MAX     = 225

-- Consumable (Healing item, Ammunition, Gas Can)
SPAWN_CONSUMABLE_MAX = 225

-- Equipment (Each armors, Backpack)
SPAWN_EQUIPMENT_MAX  = 150

-- Vehicle (Only motorcycle)
SPAWN_VEHICLE_MAX    = 24

-- ---------------------------------------------------------
-- Probability of spawning each weapons. (1.00 to 0.00)

SPAWN_WEAPON_RATE_MELEE   = 0.70
SPAWN_WEAPON_RATE_HANDGUN = 0.70
SPAWN_WEAPON_RATE_GRENADE = 0.70
SPAWN_WEAPON_RATE_SMG     = 0.60
SPAWN_WEAPON_RATE_SHOTGUN = 0.60
SPAWN_WEAPON_RATE_ASSAULT = 0.50
SPAWN_WEAPON_RATE_SNIPER  = 0.30
SPAWN_WEAPON_RATE_LMG     = 0.00
SPAWN_WEAPON_RATE_SPECIAL = 0.00

SPAWN_WEAPON_RATE_MELEE_MACHETE  = 1.00
SPAWN_WEAPON_RATE_MELEE_CHAINSAW = 0.30

SPAWN_WEAPON_RATE_HANDGUN_GLOCK  = 0.70
SPAWN_WEAPON_RATE_HANDGUN_USP    = 0.60
SPAWN_WEAPON_RATE_HANDGUN_P228   = 0.70
SPAWN_WEAPON_RATE_HANDGUN_DEAGLE = 0.50
SPAWN_WEAPON_RATE_HANDGUN_ELITE  = 0.40
SPAWN_WEAPON_RATE_HANDGUN_FN57   = 0.40

SPAWN_WEAPON_RATE_GRENADE_HE      = 0.90
SPAWN_WEAPON_RATE_GRENADE_FLASH   = 1.00
SPAWN_WEAPON_RATE_GRENADE_SMOKE   = 1.00
SPAWN_WEAPON_RATE_GRENADE_MOLOTOV = 0.80

SPAWN_WEAPON_RATE_SMG_TMP   = 0.45
SPAWN_WEAPON_RATE_SMG_MAC10 = 0.45
SPAWN_WEAPON_RATE_SMG_MP5   = 0.40
SPAWN_WEAPON_RATE_SMG_UMP45 = 0.40
SPAWN_WEAPON_RATE_SMG_P90   = 0.00

SPAWN_WEAPON_RATE_SHOTGUN_M3     = 0.60
SPAWN_WEAPON_RATE_SHOTGUN_XM1014 = 0.30

SPAWN_WEAPON_RATE_ASSAULT_GALIL = 0.40
SPAWN_WEAPON_RATE_ASSAULT_FAMAS = 0.00
SPAWN_WEAPON_RATE_ASSAULT_AK47  = 0.30
SPAWN_WEAPON_RATE_ASSAULT_M4A1  = 0.25
SPAWN_WEAPON_RATE_ASSAULT_F2000 = 0.00
SPAWN_WEAPON_RATE_ASSAULT_SG552 = 0.15
SPAWN_WEAPON_RATE_ASSAULT_AUG   = 0.00

SPAWN_WEAPON_RATE_SNIPER_SCOUT = 0.30
SPAWN_WEAPON_RATE_SNIPER_AWP   = 0.00
SPAWN_WEAPON_RATE_SNIPER_SG550 = 0.50
SPAWN_WEAPON_RATE_SNIPER_G3SG1 = 0.00

SPAWN_WEAPON_RATE_LMG_M249 = 1.00
SPAWN_WEAPON_RATE_LMG_M134 = 1.00

SPAWN_WEAPON_RATE_SPECIAL_SHIELD          = 1.00
SPAWN_WEAPON_RATE_SPECIAL_LASER           = 1.00
SPAWN_WEAPON_RATE_SPECIAL_FLAMETHROWER    = 1.00
SPAWN_WEAPON_RATE_SPECIAL_RPG             = 1.00
SPAWN_WEAPON_RATE_SPECIAL_ROCKETLAUNCHER  = 1.00
SPAWN_WEAPON_RATE_SPECIAL_GRENADELAUNCHER = 1.00
SPAWN_WEAPON_RATE_SPECIAL_PORTALGUN       = 1.00

-- ---------------------------------------------------------
-- Probability of spawning each consumables. (1.00 to 0.00)

SPAWN_CONSUMABLE_RATE_BANDAGE    = 0.60
SPAWN_CONSUMABLE_RATE_MEDIKIT    = 0.30
SPAWN_CONSUMABLE_RATE_PAINKILLER = 0.45
SPAWN_CONSUMABLE_RATE_GASCAN     = 0.20
SPAWN_CONSUMABLE_RATE_AMMO       = 0.30

-- ---------------------------------------------------------
-- Probability of spawning each equipments. (1.00 to 0.00)

SPAWN_EQUIPMENT_RATE_LEVEL1ARMOR = 0.60
SPAWN_EQUIPMENT_RATE_LEVEL2ARMOR = 0.50
SPAWN_EQUIPMENT_RATE_LEVEL3ARMOR = 0.10
SPAWN_EQUIPMENT_RATE_BACKPACK    = 0.60
