-- BR2D - BATTLE ROYALE 2D LIBRARY FILE
-- DO NOT EDIT AND UPLOAD THIS AS YOUR OWN FILE.
-- Copyright 2018 Amaguya (U.S.G.N. ID:11768) All rights reserved.

function initArray(MAX,VALUE)
	local array = {}
	if (VALUE == nil) then VALUE = 0 end
	for i = 1, MAX do
		array[i]=VALUE
	end
	return array
end

function stringReplace(str,base,replacement)
		local new  = ""
		local maxn = string.len(str)
		for i = 1, maxn do
			if (string.sub(str,i,i) ~= base) then
				new = new..string.sub(str,i,i)
			else
				new = new..replacement
			end
		end
	return new
end

function stringRomeNumeric(num)
	local set = { {"I","V","X"},
				  {"X","L","C"},
				  {"C","D","M"},
				  {"M","",""}
				}

	local num_tbl = {0,0,0,0}
	local str = ""

	if (num >= 4000) then
		num = 3999
	elseif (num <= 0) then
		num = 1
	end
	local num2 = num

	local temp1,temp2
	for i = 1, 4 do
		temp1 = num/10
		temp2 = math.floor(temp1)
		temp1 = math.ceil((temp1 - temp2) * 10)
		num_tbl[i] = temp1
		num = math.floor(num/10)
	end

	for i = 1, 4 do
		temp1 = num_tbl[i]
		if (temp1 > 0) then
			if (temp1 >= 1) and (temp1 <= 3) then
				for j = 1, temp1 do
					str = set[i][1]..str
				end
			
			elseif (temp1 == 4) then
				str = set[i][1]..set[i][2]..str
				
			elseif (temp1 == 5) then
				str = set[i][2]..str
				
			elseif (temp1 == 6) then
				str = set[i][2]..set[i][1]..str
				
			elseif (temp1 >= 6) and (temp1 <= 8) then
				str = set[i][2]..str
				for j = 1, (temp1 - 5) do
					str = set[i][1]..str
				end
				
			elseif (temp1 == 9) then
				str = set[i][1]..set[i][3]..str
			end
		end
	end
		
	return str
end

function isPlayerSpec(id,specID)
	if (player(id,"health") == 0) and (player(id,"spectating") == specID) then
		return true
	end
	return false
end

function isPlayerDead(id)
	if (player(id,"health") == 0) then
		return true
	else
		return false
	end
end

function isPlayerVaulting(id)
	if (br.pl.time.vault[id] == 0) then
		return false
	else
		return true
	end
end

function isTileWater(tx,ty)
	if (tile(tx,ty,"walkable")) and (tile(tx,ty,"property") == 14) then
		return true
	else
		return false
	end
end

function isTileFloor(tx,ty)
	local prop = tile(tx,ty,"property")
	if (tile(tx,ty,"walkable")) and (prop >= 10) and (prop <= 16) and (prop ~= 14) then
		return true
	else
		return false
	end
end

function isNotTileHurt(tx,ty)
	if (not inentityzone(tx,ty,27)) then
		return true
	else
		return false
	end
end

function linkedHudtxt2(id,hudID,str,x,y,a,v,size)
	for _,i in pairs(player(0,"table")) do
		if (isPlayerSpec(i,id)) then
			parse(string.format("hudtxt2 %d %d \"%s\" %d %d %d %d %d", i, hudID, str, x, y, a, v, size))
		end
	end
end